Bug 735888 - Dependency broken
Summary: Dependency broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-cucumber
Version: el5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 02:57 UTC by mdj
Modified: 2017-04-06 10:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:05:28 UTC


Attachments (Terms of Use)

Description mdj 2011-09-06 02:57:46 UTC
Description of problem:

rubygem-cucumber-0.4.2-1.el5 depends on 

rubygem-term-ansicolor-1.0.4

But 1.0.6 is currently installed version


How reproducible:


Steps to Reproduce:
1. yum install rubygem-cucumber
2. cucumber
3.
  
Actual results:

$ cucumber
/usr/lib/ruby/site_ruby/1.8/rubygems.rb:636:in `report_activate_error': RubyGem version error: term-ansicolor(1.0.6 not = 1.0.4) (Gem::LoadError)
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:141:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:165:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:164:in `each'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:164:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:49:in `gem'
        from /usr/bin/cucumber:18


Expected results:

cucumber should run normally.

Additional info:


rpm -qR rubygem-cucumber
/usr/bin/env  
/usr/bin/ruby  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
ruby(abi) = 1.8
rubygem(builder) >= 2.1.2
rubygem(diff-lcs) >= 1.1.2
rubygem(polyglot) >= 0.2.5
rubygem(term-ansicolor) >= 1.0.3
rubygem(treetop) >= 1.2.5
rubygems  


dependency definition in cucumber rpm collides with what is expected  by the gem (1.0.4)

Comment 1 Darryl L. Pierce 2012-03-07 19:28:57 UTC
I'm experiencing this same problem in RHEL 5.8.

Comment 2 Fedora End Of Life 2017-04-06 10:05:28 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.